mod ui;
mod utils;
mod widgets;

fn main() {
    tracing_subscriber::fmt::init();
    unsafe {
        use utils::winsparkle::*;
        win_sparkle_set_appcast_url(
            "https://dl.wuembed.com/hardware_tk/appcast.xml\0".as_ptr() as *const i8
        );
        win_sparkle_set_eddsa_public_key(
            "pXr0FyLTCvtX2BP7d/i3Ot8T9hL+ODBQforwfBp2oLo=\0".as_ptr() as *const i8
        );
        win_sparkle_init();
    }
    ui::main_window::main_window();
}
